import javax.persistence.*;

public class Main {

    /* This program works both in Java SE as well as Java EE environment */
    @PersistenceUnit private static EntityManagerFactory emf;

    public static void main(String... args) throws Exception {
        if(emf == null) { // no injection => Java SE
            System.out.println("Defaulting to Java SE enviroment");
            emf = Persistence.createEntityManagerFactory("pu1", null);
        }
        EntityManager em = emf.createEntityManager();
        if(args.length == 0) {
            System.out.println("Usage: java "+ Main.class.getName() + " <name...>");
            System.exit(1);
        }
        for(String name : args) {
            EntityTransaction et = em.getTransaction();
            et.begin();
            et.commit();
        }
        em.close();
    }
}
